RK-J - Feature #2879

Create getPurpleLinksinfoExt API
02/10/2023 08:34 AM - Ram Kordale

Status: Closed Start date: 02/10/2023
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Create getPurpleLinksInfoExt api which takes the same input as getPurpleLinksinfo but makes the following changes in output:
1. changes in purpleLinkPhrases

-a. should contain only those with score > 0.8.

-b. should not contain duplicates.

2. changes in br2ir2:

-a. replace lurl with o-url

-b. remove score and similarityScore

Finally, please provide result as a list[s, list[sh,u]] if it exists or a null list [] if we do not have data for the input URL. s=purple link
name; sh:section hierarchy; u=url.

Example output: s1,[sh11,u11],[sh12,u12, [s2,[sh21,u21]], [s3,[sh31,u31],[sh32,u32],[sh33,u33]]].

History

#1 - 02/10/2023 09:54 AM - Venmuhilan B
- Status changed from New to In Progress

- % Done changed from 0 to 20

#2 - 02/10/2023 12:54 PM - Venmuhilan B
- % Done changed from 20 to 70

#3 - 02/11/2023 12:35 PM - Ram Kordale

- Description updated

#4 - 02/11/2023 12:46 PM - Ram Kordale

- Description updated

#5 - 02/12/2023 04:09 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 70 to 100

#6 - 02/13/2023 01:41 PM - Venmuhilan B
Fix for Feature #2879 - look for URL if there is no match for URL&t=0s AND look for URL&t=0s if there is no match for URL

1. if the url is not present in the datastore, check the url with &t=0s at the end(i.e url&t=0s)
ex: if https://www.youtube.com/watch?v=HtSuA80QTYyo is not present, check https://www.youtube.com/watch?v=HtSuA80QTyo&t=0s

2. if the url&t=0s is not present in the datastore, check the url&t=0s without &t=0s at the end(i.e url)
ex: If https://www.youtube.com/watch?v=HtSuA80QTyo0&t=0s is not present, check https://www.youtube.com/watch?v=HtSuA80QTyo

MR link - https://gitlab.com/kordale/rapidken-j/-/merge_requests/1661

#7 - 02/15/2023 10:37 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#8 - 06/05/2023 02:43 PM - Ayush Khandelwal
- Assignee changed from Ayush Khandelwal to Ram Kordale

#9 - 06/27/2023 02:47 AM - Ram Kordale
- Status changed from Feedback to Closed
